/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Wed Aug  7 16:08:09 CEST 2002
    copyright            : (C) 2002 by Michiel van Turnhout
    email                : info@qris.myweb.nl
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <klocale.h>

#include "pabilotest.h"

static const char *description =
	I18N_NOOP("Pabilotest");
// INSERT A DESCRIPTION FOR YOUR APPLICATION HERE
	
	
static KCmdLineOptions options[] =
{
  { 0, 0, 0 }
  // INSERT YOUR COMMANDLINE OPTIONS HERE
};

int main(int argc, char *argv[])
{

  KAboutData aboutData( "pabilotest", I18N_NOOP("Pabilotest"),
    VERSION, description, KAboutData::License_GPL,
    "(c) 2002, Michiel van Turnhout", 0, 0, "info@qris.myweb.nl");
  aboutData.addAuthor("Michiel van Turnhout",0, "info@qris.myweb.nl");
  KCmdLineArgs::init( argc, argv, &aboutData );
  KCmdLineArgs::addCmdLineOptions( options ); // Add our own options.

  KApplication a;
  Pabilotest *pabilotest = new Pabilotest();
  a.setMainWidget(pabilotest);
  pabilotest->show();  

  return a.exec();
}
