/***************************************************************************
                          pabilotest.h  -  description
                             -------------------
    begin                : Wed Aug  7 16:08:09 CEST 2002
    copyright            : (C) 2002 by Michiel van Turnhout
    email                : info@qris.myweb.nl
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef PABILOTEST_H
#define PABILOTEST_H

/**Pabilotest is the base class of the project
  */

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <kapp.h>
#include <qwidget.h>
#include <qstatusbar.h>
#include <qmenubar.h>

#include "form1.h"
#include "speedo.h"


/** Pabilotest is the base class of the project */
class Pabilotest : public Form1
{
  Q_OBJECT
  private:
    Speedo  *speedo;
    QStatusBar *statusBar;
    QMenuBar *menuBar;
  public:
    /** construtor */
    Pabilotest(QWidget* parent=0, const char *name=0);
    /** destructor */
    ~Pabilotest();
  public slots:
    void setSpeed(int);
    void setRunning(bool);
};

#endif
